# PhasicFlow: src/phasicFlow/Kokkos/Range.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

Range.hpp File Reference
Include dependency graph for Range.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | Range< T >
| Range for elements in an vector [start,end) More...

## Namespaces

| pFlow

## Typedefs

using | range32 = Range< int32 >
using | range64 = Range< int64 >
using | rangeU32 = Range< uint32 >
using | rangeU64 = Range< uint64 >

## Functions

template<typename T >
INLINE_FUNCTION_H iOstream & | operator<< (iOstream &os, const Range< T > &rng)